{
  "type": "minecraft:crafting_shaped",
  "key": {
    "#": {
      "tag": "minecraft:coppers"
    },
    "R": {
      "item": "minecraft:redstone"
    },
    "X": {
      "item": "minecraft:bow"
    }
  },
  "pattern": [
    "###",
    "#X#",
    "#R#"
  ],
  "result": {
    "item": "minecraft:dispenser"
  }
}